Bug 97026 - Update port: sysutils/sysupdate Support for fastest_cvsup and some minor improvements
Update port: sysutils/sysupdate Support for fastest_cvsup and some minor impr...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Renato Botelho
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-09 12:20 UTC by tigger
Modified: 2006-05-10 16:58 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tigger 2006-05-09 12:20:22 UTC
CHANGELOG
0.4 - 02.May.06
* Added support for fastest_cvsup port (user requested)
* Added a mergemaster -p stage

Fix: 

Below is a diff of the changes. Note the email address change/update. While
they do both go to me, I'm now using my main one to stop confusion.


diff /usr/ports/sysutils/sysupdate/Makefile ./sysupdate/Makefile
3c3
< # Whom:                                       Tig <tig@lvlworld.com>
---
> # Whom:                                       Tig <tigger@lvlworld.com>
5c5
< # $FreeBSD: ports/sysutils/sysupdate/Makefile,v 1.2 2006/04/12 13:24:18 vd Exp $
---
> # $FreeBSD: ports/sysutils/sysupdate/Makefile,v 1.1 2006/01/25 13:09:25 garga Exp $
9c9
< PORTVERSION=  0.3.2
---
> PORTVERSION=  0.4
13c13
< DISTFILES=    ${PORTNAME}.sh-${PORTVERSION}${EXTRACT_SUFX}
---
> DISTNAME=     ${PORTNAME}.sh-${PORTVERSION}
15c15
< MAINTAINER=   tig@lvlworld.com
---
> MAINTAINER=   tigger@lvlworld.com
17a18,21
> .if defined(WITH_FASTEST_CVSUP)
> RUN_DEPENDS= fastest_cvsup:${PORTSDIR}/sysutils/fastest_cvsup
> .endif
>
24a29,36
>
> pre-everything::
>       @${ECHO_MSG}    ""
>       @${ECHO_MSG}    "sysupdate can use the fastest_cvsup port."
>       @${ECHO_MSG}    "To include fastest_cvsup, use -DWITH_FASTEST_CVSUP"
>       @${ECHO_MSG}    ""
>       @${ECHO_MSG}    "NOTE: fastest_cvsup is not perfect and requires perl"
>       @${ECHO_MSG}    ""
diff /usr/ports/sysutils/sysupdate/distinfo ./sysupdate/distinfo
1,3c1,3
< MD5 (sysupdate.sh-0.3.2.tar.gz) = 5b149f615aa6c79b7ffd55d42ea4cd96
< SHA256 (sysupdate.sh-0.3.2.tar.gz) = f5e74a25f203dc9ca18ee228454eccc25b4369b6977f63f8f30097eeb99f1fc6
< SIZE (sysupdate.sh-0.3.2.tar.gz) = 14625
---
> MD5 (sysupdate.sh-0.4.tar.gz) = 9759aeac6ad7661e11902d7a6c424ca7
> SHA256 (sysupdate.sh-0.4.tar.gz) = d00a8054215c5cdd26759c24079fd41afcb45691c5bd9610cd09a7c326aacaef
> SIZE (sysupdate.sh-0.4.tar.gz) = 15719
Comment 1 Edwin Groothuis freebsd_committer 2006-05-09 12:24:10 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer)
Comment 2 Edwin Groothuis freebsd_committer 2006-05-09 12:24:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 tigger 2006-05-09 12:24:58 UTC
On Tue, 9 May 2006 11:24:14 UT
Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Maintainer of sysutils/sysupdate,
> 
> Please note that PR ports/97026 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/97026
> 

Yes, I aggree with the update - I made it :]

-Tig
Comment 4 Renato Botelho freebsd_committer 2006-05-09 13:32:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 5 Renato Botelho freebsd_committer 2006-05-09 13:45:25 UTC
Dear maintainer,

Since i'm here, i propose you following patch, that uses OPTIONS to select
fastest_cvsup as a dependency. Please, take a look and tell me if you
approve it.

PS: Next time, please send a `diff -ruN` format patch, and execute a
`portlint -A` on ports directory to check if everything is ok.

Thanks a lot.

-------------------------------------------------------------------
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/sysutils/sysupdate/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	12 Apr 2006 13:24:18 -0000	1.2
+++ Makefile	9 May 2006 12:42:34 -0000
@@ -1,18 +1,18 @@
 # New ports collection makefile for:	sysupdate
 # Date created:                    	17 Jan 2006
-# Whom:                        		Tig <tig@lvlworld.com>
+# Whom:                        		Tig <tigger@lvlworld.com>
 #
 # $FreeBSD: ports/sysutils/sysupdate/Makefile,v 1.2 2006/04/12 13:24:18 vd Exp $
 #
 
 PORTNAME=	sysupdate
-PORTVERSION=	0.3.2
+PORTVERSION=	0.4
 CATEGORIES=	sysutils
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	lvl
-DISTFILES=	${PORTNAME}.sh-${PORTVERSION}${EXTRACT_SUFX}
+DISTNAME=	${PORTNAME}.sh-${PORTVERSION}
 
-MAINTAINER=	tig@lvlworld.com
+MAINTAINER=	tigger@lvlworld.com
 COMMENT=	System and ports update script
 
 MAN1=		sysupdate.sh.1
@@ -23,8 +23,16 @@
 NO_BUILD=	yes
 PLIST_FILES=	bin/sysupdate.sh
 
+OPTIONS=	FASTEST_CVSUP "Support fastest_cvsup" off
+
+.include <bsd.port.pre.mk>
+
+.if defined(WITH_FASTEST_CVSUP)
+RUN_DEPENDS=	fastest_cvsup:${PORTSDIR}/sysutils/fastest_cvsup
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|/usr/local|${PREFIX}|g' \
 		${WRKSRC}/Makefile
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/sysutils/sysupdate/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- distinfo	12 Apr 2006 13:24:18 -0000	1.2
+++ distinfo	9 May 2006 12:42:34 -0000
@@ -1,3 +1,3 @@
-MD5 (sysupdate.sh-0.3.2.tar.gz) = 5b149f615aa6c79b7ffd55d42ea4cd96
-SHA256 (sysupdate.sh-0.3.2.tar.gz) = f5e74a25f203dc9ca18ee228454eccc25b4369b6977f63f8f30097eeb99f1fc6
-SIZE (sysupdate.sh-0.3.2.tar.gz) = 14625
+MD5 (sysupdate.sh-0.4.tar.gz) = 9759aeac6ad7661e11902d7a6c424ca7
+SHA256 (sysupdate.sh-0.4.tar.gz) = d00a8054215c5cdd26759c24079fd41afcb45691c5bd9610cd09a7c326aacaef
+SIZE (sysupdate.sh-0.4.tar.gz) = 15719
-------------------------------------------------------------------
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc

Sank heaven for leetle curls.
Comment 6 tigger 2006-05-10 12:28:45 UTC
On Tue, May 09, 2006 at 09:45:25AM -0300, Renato Botelho wrote:
> Dear maintainer,
>
> Since i'm here, i propose you following patch, that uses OPTIONS to select
> fastest_cvsup as a dependency. Please, take a look and tell me if you
> approve it.
>
> PS: Next time, please send a `diff -ruN` format patch, and execute a
> `portlint -A` on ports directory to check if everything is ok.
>
> Thanks a lot.

Yes, the corrections / changes are totally fine with me. Sorry about the
incorrect diff version. I thought I had the correction version - will
check and correct for next time! 

Thanks for the portlint -A tip as well.

-Tig
Comment 7 Renato Botelho freebsd_committer 2006-05-10 16:58:45 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!